cURL
curl --request GET \
--url https://api.gptmaker.ai/v2/workspace/{workspaceId}/interactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gptmaker.ai/v2/workspace/{workspaceId}/interactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gptmaker.ai/v2/workspace/{workspaceId}/interactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"agentAvatar": "<string>",
"chatId": "<string>",
"chatName": "<string>",
"status": "RUNNING",
"startAt": "2023-11-07T05:31:56Z",
"transferAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}Atendimentos
Listar atendimentos
Lista os atendimentos de um workspace, uma mesma conversa com seu cliente pode gerar vários atendimentos, pois o cliente pode retornar várias vezes, essa api lista todos os atendimentos, quando iniciou, quando finalizou, status etc..
GET
/
v2
/
workspace
/
{workspaceId}
/
interactions
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do workspace
Query Parameters
ID do agente para filtrar os atendimentos
Número da página
Tamanho da página
Response
Lista de atendimentos
Id do atendimento.
Id do agente.
Nome do agente.
Avatar do agente.
Id do chat/contextId.
Nome do chat.
Status do atendimento.
Available options:
RUNNING, WAITING, RESOLVED Data/hora de início do atendimento.
Data/hora da transferência foi feita para humano.
Data/hora do encerramento do atendimento.
Id do membro que participou do atendimento.

